# TickStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the location of tick marks in a [TrackBar](/api/wisej.web/editors/wisej.web.trackbar.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TickStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TickStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                                                                              |
| --------------- | -------------------------------------------------------------------------------------------------------- |
| **Both**        | Tick marks are located on both sides of the control.                                                     |
| **BottomRight** | Tick marks are located on the bottom of a horizontal control or on the right side of a vertical control. |
| **None**        | No tick marks appear in the control.                                                                     |
| **TopLeft**     | Tick marks are located on the top of a horizontal control or on the left of a vertical control.          |

## Used By

| Name                                                                                                                                 | Description                                                                        |
| ------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------- |
| [TrackBar.TickStyle](/api/wisej.web/editors/wisej.web.trackbar.md#tickstyle)                                                         | Returns or sets a value indicating how to display the tick marks on the track bar. |
| [TrackBarExtensions.TickStyle](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md#tickstyle-trackbar-tickstyle) | Sets the tick style of the specified track bar.                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.tickstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
